#
# spec file for package python3-rst2ansi
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-rst2ansi
Version:        0.1.5
Release:        1.6
License:        MIT
Summary:        A rst converter to ansi-decorated console output
Url:            https://github.com/Snaipe/python-rst-to-ansi
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/r/rst2ansi/rst2ansi-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-docutils
Requires:       python3-docutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A python module dedicated to rendering RST
(reStructuredText) documents to ansi-escaped
strings suitable for display in a terminal.

%prep
%setup -q -n rst2ansi-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/rst2ansi
%{python3_sitelib}/*

%changelog
* Fri Oct 14 2016 toddrme2178@gmail.com
- Initial version
